### Method

# GLib PathBuf clear_to_path

since: 2.76

#### Declaration

    char*
    g_path_buf_clear_to_path (
      GPathBuf* buf
    )

#### Description

Clears the contents of the path buffer and returns the built path.

This function returns `NULL` if the `GPathBuf` is empty.

See also: `g_path_buf_to_path()`

Available since: 2.76

#### Return value

Type: `char*`

The built path.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a file system path, using the OS encoding.